## octave 9.2.0

=== debian/changelog ===
octave (9.2.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2024 13:20:54 +0200

octave (9.2.0-1) experimental; urgency=medium

  * New upstream version 9.2.0
  * d/control: add Breaks against older versions of octave-ga and
    octave-queueing

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jun 2024 13:19:54 +0200

octave (9.1.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 May 2024 14:52:27 +0200

octave (9.1.0-2) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)

  [ Sébastien Villemot ]
  * Enable Java on armel, it now works there.
    By the way, update the list of archs which do not have a JDK.
    (Closes: #1069542)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 May 2024 14:52:22 +0200

octave (9.1.0-1) experimental; urgency=medium

  * New upstream version 9.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 16 Mar 2024 19:14:58 +0100

octave (9.0.90-1) experimental; urgency=medium

  * New upstream version 9.0.90
  * d/copyright: reflect upstream changes
  * Bump to Qt 6 for building the GUI

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 09 Feb 2024 11:02:24 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=optimize=+lto

# Configure default Java paths using javahelper except on some archs which do not have OpenJDK.
# This arch list must be kept in sync with the arch list qualifying
# default-jre and default-jdk in debian/control (see also #947959).
include /usr/share/dpkg/architecture.mk
NO_JDK_ARCHS := hppa hurd-amd64 hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
WITH_JAVA_FLAGS := --disable-java
else
JAVA_HOME := /usr/lib/jvm/default-java
JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
endif

# Needed to force the serial version of HDF5 even if other flavours are
# installed.
ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  HDF5_FLAGS := --with-hdf5-includedir=/usr/include/hdf5/serial \
	--with-hdf5-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# Support the nodoc flag of DEB_BUILD_OPTIONS
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
DOC_FLAG := --disable-docs
endif

# Get the current API version
API_VERSION = $(shell grep ^OCTAVE_API_VERSION= configure.ac | sed -e 's/OCTAVE_API_VERSION="api-v\(.*\)"/\1/')

%:
	dh $@

override_dh_auto_configure:
	# Enforce generic BLAS (in order to avoid tying the binary to OpenBLAS or ATLAS)
	# Also pass OpenMP flag (#631831)
	# Pass the install directory of fonts-freefont-otf package
	dh_auto_configure -- \
		--with-blas=blas --enable-openmp \
		--with-system-freefont=/usr/share/fonts/opentype/freefont \
		--disable-rpath \
		$(WITH_JAVA_FLAGS) $(HDF5_FLAGS) $(DOC_FLAG)

ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
override_dh_auto_build-indep:
	# We can not build octave.jar, and hence octave-common, on these
	false
endif

# dh_auto_test tries to run "make test", so override it
override_dh_auto_test:
	make check
	# Run builtin-features to ensure important features are included
	env OCTAVE=./run-octave debian/tests/builtin-features

# override normal dh_compress call to avoid compressing .pdf files
override_dh_compress:
	dh_compress --exclude=.pdf

execute_after_dh_auto_install:
	# Delete .la files (for liboctgui)
	find debian/tmp -name '*.la' -delete

# The info files have references to .png images, so also ship those.
# Note that we do not install all doc/interpreter/*.png, since some are not referenced
# when compiling the output info (using @ifnotinfo macro).
# We used to rename them by prefixing their name with "octave-", but this was breaking some
# info files (see #816534).
execute_after_dh_installinfo-indep:
	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
		cp doc/interpreter/$$f debian/octave-doc/usr/share/info/; \
	done

# Strip the executable bit from the .oct files
# Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
# .oct files into account
execute_after_dh_shlibdeps:
	find debian/octave -name '*.oct' -exec chmod 644 '{}' ';'

# Avoid useless call of ldconfig in the triggers script of the octave
# package
override_dh_makeshlibs:
	dh_makeshlibs --package=octave --noscripts
	dh_makeshlibs --no-package=octave

# Provide the virtual package octave-abi-MM
override_dh_gencontrol:
	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)

## octave 9.3.0

=== debian/changelog ===
octave (9.3.0-1) unstable; urgency=medium

  * New upstream version 9.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Dec 2024 14:26:42 +0100

octave (9.2.0-3) unstable; urgency=medium

  * Use the “zero” JVM on archs where the “server” JVM does not exist
    (Closes: #1077977)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 Sep 2024 17:59:30 +0200

## octave 9.4.0

=== test/pkg/mfile_minimal_test/DESCRIPTION ===
Name: mfile_minimal_test
Version: 0.1.0
Date: 2017-12-08
Author: hopefully various authors
Maintainer: hopefully some of those authors.
Title: Example Minimal Package
Description: Minimal package structure with only m-files.
Depends: octave (>= 4.2.1)
License: GPLv3+
Categories: Test
# BuildRequires:
# SystemRequirements:
# Url: external homepage

=== debian/changelog ===
octave (9.4.0-1) unstable; urgency=medium

  * New upstream version 9.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 10 Feb 2025 18:01:32 +0100

=== debian/control ===
Source: octave
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissière <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: automake,
               bison,
               debhelper-compat (= 13),
               debhelper (>= 12.8~),
               default-jdk [!hppa !hurd-any],
               desktop-file-utils,
               epstool,
               fig2dev,
               flex,
               gawk,
               gfortran,
               ghostscript,
               gnuplot-nox,
               gperf,
               icoutils,
               less,
               libarpack2-dev,
               libblas-dev,
               libcurl4-gnutls-dev,
               libfftw3-dev,
               libfltk1.3-dev,
               libfontconfig-dev,
               libgl2ps-dev,
               libglpk-dev,
               libglu1-mesa-dev,
               libgraphicsmagick++1-dev,
               libhdf5-dev,
               liblapack-dev,
               libncurses-dev,
               libpcre2-dev,
               libqhull-dev,
               libqrupdate-dev,
               libqscintilla2-qt6-dev,
               libreadline-dev,
               librsvg2-bin,
               libsndfile1-dev,
               libsuitesparse-dev,
               libsundials-dev,
               libxft-dev,
               portaudio19-dev,
               pstoedit,
               qt6-tools-dev,
               qt6-5compat-dev,
               rapidjson-dev,
               texinfo,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-plain-generic,
               unzip,
               xauth,
               zip
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
Homepage: https://www.octave.org/
Rules-Requires-Root: no

Package: octave
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texinfo,
         octave-common (= ${source:Version}),
Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
            libopenblas0 | libblis4,
            pstoedit,
            epstool,
            default-jre-headless [!hppa !hurd-any],
            octave-doc
Suggests: octave-dev
Provides: ${octave-abi:Provides}
Breaks: octave-ga (<< 0.10.4),
        octave-queueing (<< 1.2.8)
Description: GNU Octave language for numerical computations
 Octave is a (mostly MATLAB® compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-common
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-freefont-otf
Multi-Arch: foreign
Description: architecture-independent files for octave
 Octave is a (mostly MATLAB® compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         info
Suggests: www-browser | pdf-viewer
Breaks: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Replaces: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Enhances: octave
Multi-Arch: foreign
Description: documentation of the GNU Octave language
 Octave is a (mostly MATLAB® compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in HTML, PDF and Info
 formats:
  - the main user manual
  - a document on the C++ classes used internally by Octave.
 .
 It also includes a reference card in PDF format and in a4, letter and legal
 paper sizes.
 .
 This package is required by the 'help -i' command at the Octave command-line
 and by the help documentation browser in the graphical interface.

Package: octave-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         octave (= ${binary:Version}),
         libreadline-dev | libreadline-gplv2-dev,
         libncurses-dev,
         libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
         libgl-dev,
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so,
         libfftw3-dev,
         gfortran,
         gcc,
         g++
Enhances: octave
Description: development files for the GNU Octave language
 Octave is a (mostly MATLAB® compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 WITH_JAVA_FLAGS := --disable-java
 else
 JAVA_HOME := /usr/lib/jvm/default-java
-JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
+# The “client” JVM no longer exists on OpenJDK 21, but is kept here for facilitating backports (see also #1077977)
+JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/server; then echo $(JAVA_HOME)/lib/server; elif test -d $(JAVA_HOME)/lib/zero; then echo $(JAVA_HOME)/lib/zero; elif test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; fi)
 WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
 endif

## octave 10.2.0

=== debian/changelog ===
octave (10.2.0-3) unstable; urgency=medium

  * d/octave.prerm:
    + Simplify code for removing the legacy file ls-R
    + Fix path for the octave_packages file
  * d/rules: Remove file octave_packages from the binary package

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Oct 2025 03:56:40 -0300

octave (10.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * octave-dev now breaks swig (<< 4.3.0-2~), to ensure Octave 10 support
  * d/watch: upgrade to format version 5

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2025 13:09:07 +0200

octave (10.2.0-1) experimental; urgency=medium

  * New upstream version 10.2.0
  * d/copyright: update short license name for FSFULLRSD

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 09 Jun 2025 10:53:34 +0200

octave (10.1.0-1) experimental; urgency=medium

  * New upstream version 10.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 29 Mar 2025 21:08:18 +0100

octave (10.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 10.0.90
  * d/copyright: reflect upstream changes

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 12 Mar 2025 19:20:08 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -142,6 +142,7 @@
          gcc,
          g++
 Enhances: octave
+Breaks: swig (<< 4.3.0-2~)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line

=== debian/rules ===
--- 
+++ 
@@ -91,3 +91,10 @@
 # Provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)
+
+# Remove the octave_packages file from the octave binary package. This
+# file is modified by the postinst script via the command "pkg
+# rebuild". If it is included in the binary package, then the piuparts
+# test fails.
+execute_after_dh_installdeb:
+	rm -f debian/octave-common/usr/share/octave/site/api-*/octave_packages

## octave 10.3.0

=== test/pkg/mfile-basic-test/DESCRIPTION ===
Name: mfile-basic-test
Version: 0.1.0
Date: 2017-12-07
Author: hopefully various authors
Maintainer: hopefully some of those authors.
Title: Basic Example Package
Description: Basic package structure with only m-files.
Depends: octave (>= 4.2.1)
License: GPLv3+
# BuildRequires:
# SystemRequirements:
# Url: external homepage

=== debian/changelog ===
octave (10.3.0-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Change "octave" to "GNU Octave" in the description of the
    octave-common package

  [ Sébastien Villemot ]
  * Fix FTBFS on arch:all.
    The fortrandemo.cc file is present only in arch:any packages.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 15:18:05 +0200

octave (10.3.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 10.3.0
  * Drop “Rules-Requires-Root: no”, which is now the default

  [ Rafael Laboissière ]
  * d/rules: Fix permission of example file fortrandemo.cc

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 02:31:45 +0200

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,6 @@
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
-Rules-Requires-Root: no
 
 Package: octave
 Architecture: any
@@ -89,7 +88,7 @@
 Depends: ${misc:Depends}
 Recommends: fonts-freefont-otf
 Multi-Arch: foreign
-Description: architecture-independent files for octave
+Description: architecture-independent files for GNU Octave
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.

=== debian/rules ===
--- 
+++ 
@@ -96,5 +96,11 @@
 # file is modified by the postinst script via the command "pkg
 # rebuild". If it is included in the binary package, then the piuparts
 # test fails.
-execute_after_dh_installdeb:
+execute_after_dh_installdeb-indep:
 	rm -f debian/octave-common/usr/share/octave/site/api-*/octave_packages
+
+# This fixes a problem in the tarball, which triggers the
+# Lintian warning executable-not-elf-or-script. The issued has
+# been reported upstream: https://savannah.gnu.org/bugs/?67565
+execute_after_dh_installdeb-arch:
+	chmod -x debian/octave-dev/usr/share/doc/octave-dev/examples/fortrandemo.cc

=== debian/tests/control ===
Tests: builtin-features, smoke, upstream-testsuite
Depends: @,
         default-jre-headless,
         fonts-freefont-otf,
         ghostscript,
         gnuplot-nox,
         octave-doc,
         shunit2,
         unzip,
         zip
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://ftpmirror.gnu.org/octave/
Matching-Pattern: octave@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sig/

## octave 11.0.90

=== debian/changelog ===
octave (11.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 11.0.90
  * d/copyright: reflect upstream changes
  * d/rules: drop workaround for file with wrong permissions, no longer needed
  * d/tests/smoke: adapt for new format of version string

  [ Rafael Laboissière ]
  * d/control: Drop the redundant Priority field, which defaults to optional now
  * d/control: Bump Standards-Version to 4.7.3

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Jan 2026 22:31:36 +0100

octave (10.3.0-3) unstable; urgency=medium

  * texinfo-2025.patch: new patch, fixes FTBFS against texinfo.tex from 2025
    (Closes: #1118322)
  * Drop versioned Build-Depends on debhelper.
    No longer needed, the constraint is satifsied in oldoldstable.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Nov 2025 15:26:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: math
-Priority: optional
 Build-Depends: automake,
                bison,
                debhelper-compat (= 13),
-               debhelper (>= 12.8~),
                default-jdk [!hppa !hurd-any],
                desktop-file-utils,
                epstool,
@@ -55,7 +53,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/

## octave 11.0.92

=== debian/changelog ===
octave (11.0.92-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 11.0.92
  * d/control: bump FLTK build dependency to 1.4
    i.e. Build-Depends on libfltk1.4-dev instead of libfltk1.3-dev.

  [ Rafael Laboissière ]
  * d/p/octave-pkgbuilddir.patch: Drop patch.
    This patch was previously needed for versions of dh-octave earlier
    than 1.14.0. The dh-octave's install-pkg.m script now installs the
    add-on package from a tarball instead of from the unpacked sources
    directory.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Feb 2026 18:04:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -98,9 +98,3 @@
 # test fails.
 execute_after_dh_installdeb-indep:
 	rm -f debian/octave-common/usr/share/octave/site/api-*/octave_packages
-
-# This fixes a problem in the tarball, which triggers the
-# Lintian warning executable-not-elf-or-script. The issued has
-# been reported upstream: https://savannah.gnu.org/bugs/?67565
-execute_after_dh_installdeb-arch:
-	chmod -x debian/octave-dev/usr/share/doc/octave-dev/examples/fortrandemo.cc

## octave 11.1.0

=== debian/changelog ===
octave (11.1.0-1) experimental; urgency=medium

  * New upstream version 11.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Feb 2026 11:23:52 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libblas-dev,
                libcurl4-gnutls-dev,
                libfftw3-dev,
-               libfltk1.3-dev,
+               libfltk1.4-dev,
                libfontconfig-dev,
                libgl2ps-dev,
                libglpk-dev,

## octave kernel-0.28.4

=== Makefile ===
# Note: This is meant for octave_kernel developer use only
.PHONY: all clean test release

export NAME=`python setup.py --name 2>/dev/null`
export VERSION=`python setup.py --version 2>/dev/null`

all: clean
	python setup.py install

clean:
	rm -rf build
	rm -rf dist

test: clean
	pip install jupyter_kernel_test nbconvert
	python -V 2>&1 | grep "Python 3" && python test_octave_kernel.py || echo "Skipping unit test"
	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
	make clean

release: test clean
	pip install wheel
	python setup.py register
	python setup.py bdist_wheel --universal
	python setup.py sdist
	git commit -a -m "Release $(VERSION)"; true
	git tag v$(VERSION)
	git push origin --all
	git push origin --tags
	twine upload dist/*
	printf '\nUpgrade octave_kernel-feedstock with release and sha256 sum:'
	shasum -a 256 dist/*.tar.gz

## octave kernel-0.33.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,23 @@
 # Note: This is meant for octave_kernel developer use only
-.PHONY: all clean test release
+.PHONY: all clean test release docker-build docker-run
 
 export NAME=`python setup.py --name 2>/dev/null`
 export VERSION=`python setup.py --version 2>/dev/null`
 
 all: clean
-	python setup.py install
+	pip install -e ".[test]"
 
 clean:
 	rm -rf build
 	rm -rf dist
 
+docker-build:
+	docker build --rm --force-rm -t calysto/octave-notebook:latest .
+
+docker-run:
+	docker run -it --rm -p $(PORT):8888 calysto/octave-notebook
+
 test: clean
-	pip install jupyter_kernel_test nbconvert
 	python -V 2>&1 | grep "Python 3" && python test_octave_kernel.py || echo "Skipping unit test"
 	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
 	make clean

## octave kernel-0.34.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	docker run -it --rm -p $(PORT):8888 calysto/octave-notebook
 
 test: clean
-	python -V 2>&1 | grep "Python 3" && python test_octave_kernel.py || echo "Skipping unit test"
+	python test_octave_kernel.py
 	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
 	make clean

## octave kernel-0.34.2

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 
 test: clean
 	python test_octave_kernel.py
+	python -m octave_kernel.check
 	jupyter nbconvert --to notebook --execute --ExecutePreprocessor.kernel_name=octave --ExecutePreprocessor.timeout=60 --stdout octave_kernel.ipynb > /dev/null;
 	make clean

## octave tar-1.0.0

=== DESCRIPTION ===
Name: octave_tar
Version: 1.0.0
Date: 2024-11-07
Author: various authors
Maintainer: Yu Hongbo <yuhongbo@member.fsf.org>, CNOCTAVE <cnoctave@qq.com>
Title: tar wrapper
Description: The octave_tar package provides functions for pack and
 unpack about tar format.
Depends: octave (>= 8.0.0)
License: GPLv3+
Url: https://github.com/CNOCTAVE/octave_tar

## octave zstd-1.0.2

=== DESCRIPTION ===
Name: octave_zstd
Version: 1.0.2
Date: 2024-10-10
Author: various authors
Maintainer: Yu Hongbo <yuhongbo@member.fsf.org>, CNOCTAVE <cnoctave@qq.com>
Title: ZSTD wrapper
Description: The octave_zstd package provides functions for compress and
 decompress about ZSTD format.
Depends: octave (>= 8.0.0)
License: GPLv3+
Url: https://github.com/CNOCTAVE/octave_zstd
